> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/scan-to-pay-api/user/check-user-service-access.md).

# Check User Service Access

<mark style="color:orange;">`POST`</mark> /api/v2/user/check-access-service

This API allows you to check the service can be accessed on alixpay platform

**Headers**

| Name         | Value                                                                                    |    |               |
| ------------ | ---------------------------------------------------------------------------------------- | -- | ------------- |
| Content-Type | `application/json`                                                                       |    |               |
| lang         | <p>The default will en if this param has been empty. </p><p>Supported languages:<code>en | cn | vi</code></p> |

**Request Body**

```json
{
  "partnerCode": "chinguyen621x",
  "userEmail": "chinontest0000001@gmail.com",
  "fiatCurrency": "VND", // PHP, THB, GEL
  "service": "SCAN_TO_PAY",
  "signature": "ZHwy17F5do0pvtvuFZf5DEYJD3JND3J4Ft3oMcICZwYqAwSU3R6aTu2m5mSG2zJDGJlB3W2UZY2jGJJbwerkbFqpAZEeGsKgOw3+phgFEYbwhe6+ZdRjAbWvOZCLF8E+lEdLxEFjBjRXJ9TkFtDHvBfx4p8gFWGSGG5BiLZBIFE="
}
```

**Description**

<table><thead><tr><th width="212.65625">Name</th><th width="82">Type</th><th width="110">Condition</th><th>Value</th></tr></thead><tbody><tr><td>partnerCode</td><td>string</td><td>required</td><td>your partnerCode</td></tr><tr><td>userEmail</td><td>string</td><td>required</td><td>email address of your end-user</td></tr><tr><td>fiatCurrency</td><td>string</td><td>required</td><td><pre class="language-json"><code class="lang-json"><strong>VND,
</strong><strong>PHP, 
</strong><strong>THB,
</strong><strong>GEL,
</strong><strong>BRL,
</strong><strong>ARS,
</strong><strong>PEN,
</strong><strong>NGN
</strong></code></pre></td></tr><tr><td>service</td><td>string</td><td>required</td><td>SCAN_TO_PAY</td></tr><tr><td>signature</td><td>string</td><td>required</td><td><strong>partnerCode</strong>|<strong>userEmail</strong>|<strong>fiatCurrency</strong>|<strong>service</strong>|<strong>secretKey</strong></td></tr></tbody></table>

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json

{
    "success": true,
    "message": "Your request has been successful",
    "data": {
        "firstName": "{{first_name}}",
        "lastName": "{{last_name}}",
        "dateOfBirth": "{{DOB}}",
        "gender": "{{gender}}",
        "nationality": "{{nationality}}",
        "idType": "{{idType}}",
        "naitonalId": "{{nationalId}}",
        "issueDate": "{{issueDate}}",
        "expiryDate": "{{expiryDate}}",
        "address": "{{address}}",
        "frontIdImage": "{{frontIdImage}}",
        "backIdImage": "{{backIdImage}}",
        "holdIdImage": "{{holdIdImage}}",
        "phoneNumber": "{{phoneNumber}}",
        "phoneCountryCode": "{{phoneCountryCode}}",
        "kycStatus": "{{kycStatus}}",
        "rejectReason": "..."
    },
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Description of Response Data**&#x20;

Description

<table><thead><tr><th width="212.65625">Name</th><th width="82">Type</th><th>Value</th></tr></thead><tbody><tr><td>firstName</td><td>string</td><td>first name</td></tr><tr><td>lastName</td><td>string</td><td>last name</td></tr><tr><td>dateOfBirth</td><td>string</td><td>date of birth in the format YYYY-MM-DD</td></tr><tr><td>gender</td><td>string</td><td>Male or Female</td></tr><tr><td>nationality</td><td>string</td><td>nationality code with 2 digits</td></tr><tr><td>idType</td><td>string</td><td>"PASSPORT" or "ID_CARD"</td></tr><tr><td>nationalId</td><td>string</td><td>The id of document ( ID national card number or passport number)</td></tr><tr><td>issueDate</td><td>string</td><td>The date when the ID was issued, formatted as YYYY-MM-DD</td></tr><tr><td>expiryDate</td><td>string</td><td>The date when the ID expires, formatted as YYYY-MM-DD</td></tr><tr><td>address</td><td>string</td><td>address</td></tr><tr><td>frontUrl</td><td>string</td><td>Image on the front of the document as base64 string</td></tr><tr><td>backUrl</td><td>string</td><td>Image on the back of the document as base64 string</td></tr><tr><td>holdUrl</td><td>string</td><td>Image on the hand hold of the document as base64 string</td></tr><tr><td>phoneNumber</td><td>string</td><td>phoneNumber</td></tr><tr><td>phoneCountryCode</td><td>string</td><td>phoneCountryCode</td></tr><tr><td>kycStatus</td><td>string</td><td><p><strong>status of kyc</strong></p><ul><li>PROCESSING</li><li>VERIFIED</li><li>REJECTED</li></ul><p></p></td></tr></tbody></table>

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/scan-to-pay-api/user/check-user-service-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
